name: twingate-connector
services:
  twingate-connector:
    cpu_shares: 90
    command:
      - /connectord
    container_name: twingate-connector
    deploy:
      resources:
        limits:
          memory: 1866M
        reservations:
          memory: "524288000"
    environment:
      - TWINGATE_ACCESS_TOKEN=eyJhbGciOiJFUzI1NiIsImtpZCI6IlVocUhvVFJOWWk4VmtBYXc4NGFkQ0RzSEU4bVU2amN2bE42bmlTSlNCTVEiLCJ0eXAiOiJEQVQifQ.eyJudCI6IkFOIiwiYWlkIjoiMjIyNTE0IiwiZGlkIjoiMTIwMzc5NSIsImp0aSI6IjA2MzJmMjkxLTJlNTMtNGI2ZS05MDc3LWQ1NTUwZDJkOTJjMiIsImlzcyI6InR3aW5nYXRlIiwiYXVkIjoiZWxldHJvbmljYXZlbmV6YSIsImV4cCI6MTcwNjM4MzI2OCwiaWF0IjoxNzA2Mzc5NjY4LCJ2ZXIiOiI0IiwidGlkIjoiNzA3NzAiLCJybnciOjE3MDYzNzk5NDIsInJuZXRpZCI6Ijg5NTc5In0.S7NrlQcIzErQCQA-fxg-NrYvLdOopox6egsCBN8GA8uVOXCiicxrI7w3rL74TEAGQ7zO5ZWw_w5I_MhRofJq2w
      - TWINGATE_LABEL_HOSTNAME=Servidor-slave
      - TWINGATE_NETWORK=eletronicaveneza
      - TWINGATE_REFRESH_TOKEN=nJEkLDaekCf9Ta8tZFVwQyvB0X8WWI_MKPSuf8BSvn2imqls4ndHT_BOjONZH9x_gxHZItq9Z5Pg9i4OKRSrHGpONIObB5CmqRmfXUHiUcTWJ3kDkpukh7BxcTRPMpGR_QG5UQ
    hostname: twingate-connector
    image: twingate/connector:1
    labels:
      icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Twingate/icon.png
    restart: unless-stopped
    sysctls:
      net.ipv4.ping_group_range: 0 2147483647
    x-casaos:
      envs:
        - container: TWINGATE_NETWORK
          description:
            en_us: ""
        - container: TWINGATE_ACCESS_TOKEN
          description:
            en_us: ""
        - container: TWINGATE_REFRESH_TOKEN
          description:
            en_us: ""
        - container: TWINGATE_LABEL_HOSTNAME
          description:
            en_us: ""
        - container: PATH
          description:
            en_us: ""
        - container: SSL_CERT_FILE
          description:
            en_us: ""
        - container: TWINGATE_API_ENDPOINT
          description:
            en_us: ""
    ports: []
    volumes: []
    devices: []
    cap_add: []
    network_mode: default
    privileged: false
x-casaos:
  architectures:
    - amd64
    - arm64
    - arm
  author: Shubhankar Trivedi
  category: Network
  description:
    en_us: It's a connector for Twingate".
  developer: Twingate
  hostname: ""
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Twingate/icon.png
  index: /
  main: twingate-connector
  port_map: ""
  scheme: http
  screenshot_link: null
  store_app_id: twingate-connector
  tagline:
    en_us: Twingate Connector for CasaOS
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Twingate/thumbnail.png
  tips: {}
  title:
    custom: ""
    en_us: Twingate
